ConnectCloud Developers

When do N minutes of service hours from a time end (desk:admin)

GET /api/desk/v1/calendars/{id}/preview

Module: Desk · operationId: previewCalendar · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)

Parameters

Name In Type Required Description
id path string (uuid) yes
from query string (date-time) Default now
minutes query integer

Responses

  • 200 Preview (application/json)

Fields of the 200 answer:

  • dueAt (string (date-time))
  • from (string (date-time))
  • isOpen (boolean)
  • openAt (string (date-time)): Next opening time (from when open)

Example 200 answer:

{
  "dueAt": "2026-11-19T10:30:00Z",
  "from": "2026-11-18T15:30:00Z",
  "isOpen": true,
  "openAt": "2026-11-18T15:30:00Z"
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/desk/v1/calendars/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/preview' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI